[Deprecated] Fail Purchase Order
patch
https://api.flxpoint.com/purchase-orders/{purchaseOrderId}/processing-failedDeprecatedUse this when you want to update purchase order data through the API.
🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
Update Purchase Order as failed during processing.<br/> Only a purchase order in processing status `Processing` or `Processed` can be updated as `Failed`.<br/> It will then transition into processing status `Processing Error`.
Request
Query parameters
errorquerystringrequiredreason why processing failed
Example request
patch
/purchase-orders/{purchaseOrderId}/processing-failedcurl -X PATCH "https://api.flxpoint.com/purchase-orders/{purchaseOrderId}/processing-failed" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN"Responses
204No Content
No schema documented for this status.
400Bad Request
No schema documented for this status.
401Unauthorized
No schema documented for this status.
404Not Found
No schema documented for this status.
OpenAPI fragment
{
"patch": {
"summary": "[Deprecated] Fail Purchase Order",
"description": "Update Purchase Order as failed during processing.<br/>\nOnly a purchase order in processing status `Processing` or `Processed` can be updated as `Failed`.<br/>\nIt will then transition into processing status `Processing Error`.",
"parameters": [
{
"schema": {
"type": "string"
},
"in": "query",
"name": "error",
"description": "reason why processing failed",
"required": true
}
],
"responses": {
"204": {
"description": "No Content"
},
"400": {
"description": "Bad Request"
},
"401": {
"description": "Unauthorized"
},
"404": {
"description": "Not Found"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight